Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorjay2018-09-17 04:39:52 -0400
committerSravan Kumar Lakkimsetti2018-09-17 05:39:29 -0400
commit1f29ee38082d56241398f568c8def8b1ad136344 (patch)
treedfde9c58d6167939ad0952af1f16f56bcb1180c4
parentd607478a1ea458800c630612439ac050cbc3816b (diff)
downloadeclipse.platform.releng.aggregator-1f29ee38082d56241398f568c8def8b1ad136344.tar.gz
eclipse.platform.releng.aggregator-1f29ee38082d56241398f568c8def8b1ad136344.tar.xz
eclipse.platform.releng.aggregator-1f29ee38082d56241398f568c8def8b1ad136344.zip
Bug 537316: 11] Create patch build for Java 11 support
Move the patch build back to 4.9 Change-Id: Ibd11f567b3990e559f97519804f16f4e2c877b28 Signed-off-by: jay <jarthana@in.ibm.com>
-rw-r--r--eclipse-platform-parent/pom.xml12
-rw-r--r--eclipse.platform.releng.tychoeclipsebuilder/java11patch49/eclipse.releng.repository.java11patch/testExactVersion.xml2
-rw-r--r--eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt-feature-dummy/feature.xml2
-rw-r--r--eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt-feature-dummy/pom.xml2
-rw-r--r--eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt.java11patch/feature.xml2
-rw-r--r--eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde-feature-dummy/feature.xml2
-rw-r--r--eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde-feature-dummy/pom.xml2
-rw-r--r--eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde.java11patch/feature.xml2
8 files changed, 13 insertions, 13 deletions
diff --git a/eclipse-platform-parent/pom.xml b/eclipse-platform-parent/pom.xml
index bcbdb637..9be5d2eb 100644
--- a/eclipse-platform-parent/pom.xml
+++ b/eclipse-platform-parent/pom.xml
@@ -630,18 +630,18 @@
https://wiki.eclipse.org/Java11
-->
<!-- This needs the version of the feature to be patched. -->
- <featureToPatchVersion>3.15.0.v20180808-2000</featureToPatchVersion>
- <featureToPatchVersionPDE>3.13.200.v20180808-2000</featureToPatchVersionPDE>
+ <featureToPatchVersion>3.15.0.v20180906-0745</featureToPatchVersion>
+ <featureToPatchVersionPDE>3.13.200.v20180906-0745</featureToPatchVersionPDE>
<!-- Can specify an exact range here, or something of a loose range, depending on what's needed. -->
- <versionRangeForPatch>[3.15.0.v20180808-2000,3.16.0.v20190724-2000)</versionRangeForPatch>
- <versionRangeForPatchPDE>[3.13.200.v20180808-2000,3.16.0.v20190724-2000)</versionRangeForPatchPDE>
+ <versionRangeForPatch>[3.15.0.v20180906-0745,3.16.0.v20190724-2000)</versionRangeForPatch>
+ <versionRangeForPatchPDE>[3.13.200.v20180906-0745,3.16.0.v20190724-2000)</versionRangeForPatchPDE>
<!-- Comment this line when a patch is required on top of I-build -->
- <!--comparator.repo>http://download.eclipse.org/eclipse/updates/4.7-M-builds</comparator.repo-->
+ <comparator.repo>http://download.eclipse.org/eclipse/downloads/drops4/R-4.9-201809060745/</comparator.repo>
</properties>
<repositories>
<repository>
<id>eclipse-p2-repo-java11patch49</id>
- <url>http://download.eclipse.org/eclipse/updates/4.10-I-builds</url>
+ <url>http://download.eclipse.org/eclipse/downloads/drops4/R-4.9-201809060745/</url>
<layout>p2</layout>
</repository>
</repositories>
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/eclipse.releng.repository.java11patch/testExactVersion.xml b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/eclipse.releng.repository.java11patch/testExactVersion.xml
index 1e835034..670a9c9b 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/eclipse.releng.repository.java11patch/testExactVersion.xml
+++ b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/eclipse.releng.repository.java11patch/testExactVersion.xml
@@ -13,7 +13,7 @@
<target name="main">
<property
name="patchFeatureVersionRange"
- value="[3.15.0.v20180808-2000,3.16.0.v20190723-2000]" />
+ value="[3.15.0.v20180906-0745,3.16.0.v20190723-2000]" />
<property
name="patchFeatureIU"
value="org.eclipse.jdt.feature.group" />
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt-feature-dummy/feature.xml b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt-feature-dummy/feature.xml
index 718a2da0..84293443 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt-feature-dummy/feature.xml
+++ b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt-feature-dummy/feature.xml
@@ -2,7 +2,7 @@
<feature
id="org.eclipse.jdt"
label="%featureName"
- version="3.15.0.v20180808-2000"
+ version="3.15.0.v20180906-0745"
provider-name="%providerName"
license-feature="org.eclipse.license"
license-feature-version="0.0.0">
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt-feature-dummy/pom.xml b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt-feature-dummy/pom.xml
index ba9395cc..5c8e3bb7 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt-feature-dummy/pom.xml
+++ b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt-feature-dummy/pom.xml
@@ -18,7 +18,7 @@
</parent>
<groupId>org.eclipse.jdt.feature</groupId>
<artifactId>org.eclipse.jdt</artifactId>
- <version>3.15.0.v20180808-2000</version>
+ <version>3.15.0.v20180906-0745</version>
<packaging>eclipse-feature</packaging>
</project>
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt.java11patch/feature.xml b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt.java11patch/feature.xml
index 5a534728..ed146168 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt.java11patch/feature.xml
+++ b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.jdt.java11patch/feature.xml
@@ -20,7 +20,7 @@
</license>
<requires>
- <import feature="org.eclipse.jdt" version="3.15.0.v20180808-2000" patch="true"/>
+ <import feature="org.eclipse.jdt" version="3.15.0.v20180906-0745" patch="true"/>
</requires>
<plugin
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde-feature-dummy/feature.xml b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde-feature-dummy/feature.xml
index 5cc240ab..9601f451 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde-feature-dummy/feature.xml
+++ b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde-feature-dummy/feature.xml
@@ -2,7 +2,7 @@
<feature
id="org.eclipse.pde"
label="%featureName"
- version="3.13.200.v20180808-2000"
+ version="3.13.200.v20180906-0745"
provider-name="%providerName"
license-feature="org.eclipse.license"
license-feature-version="0.0.0">
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde-feature-dummy/pom.xml b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde-feature-dummy/pom.xml
index 8c39a060..54a4562a 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde-feature-dummy/pom.xml
+++ b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde-feature-dummy/pom.xml
@@ -18,7 +18,7 @@
</parent>
<groupId>org.eclipse.pde.feature</groupId>
<artifactId>org.eclipse.pde</artifactId>
- <version>3.13.200.v20180808-2000</version>
+ <version>3.13.200.v20180906-0745</version>
<packaging>eclipse-feature</packaging>
</project>
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde.java11patch/feature.xml b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde.java11patch/feature.xml
index bff3da4b..a48f1a30 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde.java11patch/feature.xml
+++ b/eclipse.platform.releng.tychoeclipsebuilder/java11patch49/org.eclipse.pde.java11patch/feature.xml
@@ -20,7 +20,7 @@
</license>
<requires>
- <import feature="org.eclipse.pde" version="3.13.200.v20180808-2000" patch="true"/>
+ <import feature="org.eclipse.pde" version="3.13.200.v20180906-0745" patch="true"/>
</requires>
<plugin

Back to the top